# foxglove_msgs/msg/ArrowMarker
# A marker representing an arrow

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import float64
from ..geometry_msgs.Pose import Pose
from .Color import Color

@dataclass
class ArrowMarker(IdlStruct, typename='foxglove_msgs/ArrowMarker'):
    # Position of the arrow's tail and orientation of the arrow. Identity orientation means the arrow points in the +x direction.
    pose: Pose = Pose()

    # Length of the arrow
    length: float64 = 0

    # Diameter of the arrow shaft
    shaft_diameter: float64 = 0

    # Diameter of the arrow head
    head_diameter: float64 = 0

    # Length of the arrow head
    head_length: float64 = 0

    # Color of the arrow
    color: Color = Color()