# foxglove_msgs/msg/CompressedImage
# A compressed image

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import uint8, sequence
from ..builtin_interfaces.Time import Time
from .. import default_field

@dataclass
class CompressedImage(IdlStruct, typename='foxglove_msgs/CompressedImage'):
    # Timestamp of image
    timestamp: Time = Time()

    # Frame of reference for the image. The origin of the frame is the optical center of the camera. +x points to the right in the image, +y points down, and +z points into the plane of the image.
    frame_id: str = ''

    # Compressed image data
    data: sequence[uint8] = default_field([])

    # Image format
    # 
    # Supported values: image media types supported by Chrome, such as `webp`, `jpeg`, `png`
    format: str = ''