# foxglove_msgs/msg/CompressedVideo
# A single frame of a compressed video bitstream

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import uint8, sequence
from ..builtin_interfaces.Time import Time
from .. import default_field

@dataclass
class CompressedVideo(IdlStruct, typename='foxglove_msgs/CompressedVideo'):
    # Timestamp of video frame
    timestamp: Time = Time()

    # Frame of reference for the video.
    # 
    # The origin of the frame is the optical center of the camera. +x points to the right in the video, +y points down, and +z points into the plane of the video.
    frame_id: str = ''

    # Compressed video frame data.
    # 
    # For packet-based video codecs this data must begin and end on packet boundaries (no partial packets), and must contain enough video packets to decode exactly one image (either a keyframe or delta frame). Note: Foxglove does not support video streams that include B frames because they require lookahead.
    data: sequence[uint8] = default_field([])

    # Video format.
    # 
    # Supported values: `h264` (Annex B formatted data only)
    format: str = ''
