# foxglove_msgs/msg/ConeAttributes
# Data specifying the visual appearance of a possibly truncated, possibly elliptic cone or cylinder

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import float64
from ..geometry_msgs.Pose import Pose
from ..geometry_msgs.Vector3 import Vector3
from .Color import Color

@dataclass
class ConeAttributes(IdlStruct, typename='foxglove_msgs/ConeAttribute'):
    # Position of the center of the cone and orientation of the cone. The flat face(s) are perpendicular to the z-axis.
    pose: Pose = Pose()

    # Size of the cone's bounding box
    size: Vector3 = Vector3()

    # 0-1, size of the cone's bottom face (min z) relative to the bottom of the bounding box
    bottom_scale: float64 = 0

    # 0-1, size of the cone's top face (max z) relative to the top of the bounding box
    top_scale: float64 = 0

    # Color of the cone
    color: Color = Color()