# foxglove_msgs/msg/ConeListMarker
# A marker representing a list of possibly truncated, possibly elliptic cones or cylinders

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import sequence
from ..builtin_interfaces.Time import Time
from ..builtin_interfaces.Duration import Duration
from .KeyValuePair import KeyValuePair
from .ConeAttributes import ConeAttributes
from .. import default_field

@dataclass
class ConeListMarker(IdlStruct, typename='foxglove_msgs/ConeListMarker'):
    # Timestamp of the marker
    timestamp: Time = Time()

    # Frame of reference
    frame_id: str = ''

    # Identifier for the marker. A marker will replace any prior marker on the same topic with the same `id`.
    id: str = ''

    # Length of time (relative to `timestamp`) after which the marker should be automatically removed. Zero value indicates the marker should remain visible until it is replaced or deleted.
    lifetime: Duration = Duration()

    # Whether the marker should keep its location in the fixed frame (false) or follow the frame specified in `frame_id` as it moves relative to the fixed frame (true)
    frame_locked: bool = False

    # Additional user-provided metadata associated with the marker. Keys must be unique.
    metadata: sequence[KeyValuePair] = default_field([])

    # Attributes of each cone
    attributes: sequence[ConeAttributes] = default_field([])