# foxglove_msgs/msg/CylinderPrimitive
# A primitive representing a cylinder, elliptic cylinder, or truncated cone

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import float64
from ..builtin_interfaces.Time import Time
from ..geometry_msgs.Pose import Pose
from ..geometry_msgs.Vector3 import Vector3
from .Color import Color

@dataclass
class CylinderPrimitive(IdlStruct, typename='foxglove_msgs/CylinderPrimitive'):
    # Position of the center of the cylinder and orientation of the cylinder. The flat face(s) are perpendicular to the z-axis.
    pose: Pose = Pose()

    # Size of the cylinder's bounding box
    size: Vector3 = Vector3()

    # 0-1, ratio of the diameter of the cylinder's bottom face (min z) to the bottom of the bounding box
    bottom_scale: float64 = 0

    # 0-1, ratio of the diameter of the cylinder's top face (max z) to the top of the bounding box
    top_scale: float64 = 0

    # Color of the cylinder
    color: Color = Color()