# foxglove_msgs/msg/FrameTransform
# A transform between two reference frames in 3D space

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from ..builtin_interfaces.Time import Time
from ..geometry_msgs.Vector3 import Vector3
from ..geometry_msgs.Quaternion import Quaternion

@dataclass
class FrameTransform(IdlStruct, typename='foxglove_msgs/FrameTransform'):
    # Timestamp of transform
    timestamp: Time = Time()

    # Name of the parent frame
    parent_frame_id: str = ''

    # Name of the child frame
    child_frame_id: str = ''

    # Translation component of the transform
    translation: Vector3 = Vector3()

    # Rotation component of the transform
    rotation: Quaternion = Quaternion()