# foxglove_msgs/msg/LaserScan
# A single scan from a planar laser range-finder

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import float64, sequence
from ..builtin_interfaces.Time import Time
from ..geometry_msgs.Pose import Pose
from .. import default_field

@dataclass
class LaserScan(IdlStruct, typename='foxglove_msgs/LaserScan'):
    # Timestamp of scan
    timestamp: Time = Time()

    # Frame of reference
    frame_id: str = ''

    # Origin of scan relative to frame of reference; points are positioned in the x-y plane relative to this origin; angles are interpreted as counterclockwise rotations around the z axis with 0 rad being in the +x direction
    pose: Pose = Pose()

    # Bearing of first point, in radians
    start_angle: float64 = 0

    # Bearing of last point, in radians
    end_angle: float64 = 0

    # Distance of detections from origin; assumed to be at equally-spaced angles between `start_angle` and `end_angle`
    ranges: sequence[float64] = default_field([])

    # Intensity of detections
    intensities: sequence[float64] = default_field([])