# foxglove_msgs/msg/Log
# A log message

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import uint8, uint32
from ..builtin_interfaces.Time import Time
from enum import Enum

class LogLevel(Enum):
    UNKNOWN=0
    DEBUG=1
    INFO=2
    WARNING=3
    ERROR=4
    FATAL=5

@dataclass
class Log(IdlStruct, typename='foxglove_msgs/Log'):
    # Timestamp of log message
    timestamp: Time = Time()

    # Log level
    level: uint8 = 0

    # Log message
    message: str = ''

    # Process or node name
    name: str = ''

    # Filename
    file: str = ''

    # Line number in the file
    line: uint32 = 0