# foxglove_msgs/msg/MarkerDeletion
# Command to remove previously published markers

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import uint8
from ..builtin_interfaces.Time import Time
from enum import Enum

class DeleteType(Enum):
    MATCHING_ID=0
    ALL=1

@dataclass
class MarkerDeletion(IdlStruct, typename='foxglove_msgs/MarkerDeletion'):
    # Timestamp of the marker. Only matching markers earlier than this timestamp will be deleted.
    timestamp: Time = Time()

    # Type of deletion action to perform
    type: uint8 = 0

    # Numeric identifier which must match if `kind` is `MATCHING_ID`.
    id: str = ''