# foxglove_msgs/msg/ModelMarker
# A marker representing a 3D model

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import uint8, sequence
from ..geometry_msgs.Pose import Pose
from ..geometry_msgs.Vector3 import Vector3
from .Color import Color
from .. import default_field

@dataclass
class ModelMarker(IdlStruct, typename='foxglove_msgs/ModelMarker'):
    # Origin of model relative to reference frame
    pose: Pose = Pose()

    # Scale factor to apply to the model along each axis
    scale: Vector3 = Vector3()

    # Solid color to use for the whole model. If `use_embedded_materials` is true, this color is blended on top of the embedded material color.
    color: Color = Color()

    # Whether to use materials embedded in the model, or only the `color`
    use_embedded_materials: bool = False

    # URL pointing to model file. Either `url` or `mime_type` and `data` should be provided.
    url: str = ''

    # MIME type of embedded model (e.g. `model/gltf-binary`). Either `url` or `mime_type` and `data` should be provided.
    mime_type: str = ''

    # Embedded model. Either `url` or `mime_type` and `data` should be provided.
    data: sequence[uint8] = default_field([])