# foxglove_msgs/msg/PackedElementField
# A field present within each element in a byte array of packed elements.

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import uint32, uint8
from ..builtin_interfaces.Time import Time
from .. import default_field
from enum import Enum

class FieldDatatype(Enum):
    UNKNOWN=0
    UINT8=1
    INT8=2
    UINT16=3
    INT16=4
    UINT32=5
    INT32=6
    FLOAT32=7
    FLOAT64=8

@dataclass
class PackedElementField(IdlStruct, typename='foxglove_msgs/PackedElementField'):
    # Name of the field
    name: str = ''

    # Byte offset from start of data buffer
    offset: uint32 = 0

    # Type of data in the field. Integers are stored using little-endian byte order.
    type: uint8 = 0