# foxglove_msgs/msg/PointsAnnotation
# An array of points on a 2D image

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import uint8, float64, sequence
from ..builtin_interfaces.Time import Time
from .Point2 import Point2
from .Color import Color
from .. import default_field
from enum import Enum

class PointType(Enum):
    UNKNOWN=0
    # Individual points: 0, 1, 2, ...
    POINTS=1
    # Closed polygon: 0-1, 1-2, ..., (n-1)-n, n-0
    LINE_LOOP=2
    # Connected line segments: 0-1, 1-2, ..., (n-1)-n
    LINE_STRIP=3
    # Individual line segments: 0-1, 2-3, 4-5, ...
    LINE_LIST=4

@dataclass
class PointsAnnotation(IdlStruct, typename='foxglove_msgs/PointsAnnotation'):
    # Timestamp of annotation
    timestamp: Time = Time()

    # Type of points annotation to draw
    type: uint8 = 0

    # Points in 2D image coordinates (pixels)
    points: sequence[Point2] = default_field([])

    # Outline color
    outline_color: Color = Color()

    # Per-point colors, if `type` is `POINTS`, or per-segment stroke colors, if `type` is `LINE_LIST`, `LINE_STRIP` or `LINE_LOOP`.
    outline_colors: sequence[Color] = default_field([])

    # Fill color
    fill_color: Color = Color()

    # Stroke thickness in pixels
    thickness: float64 = 0
