# foxglove_msgs/msg/PoseInFrame
# A timestamped pose for an object or reference frame in 3D space

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from ..builtin_interfaces.Time import Time
from ..geometry_msgs.Pose import Pose

@dataclass
class PoseInFrame(IdlStruct, typename='foxglove_msgs/PoseInFrame'):
    # Timestamp of pose
    timestamp: Time = Time()

    # Frame of reference for pose position and orientation
    frame_id: str = ''

    # Pose in 3D space
    pose: Pose = Pose()
