# foxglove_msgs/msg/PosesInFrame
# An array of timestamped poses for an object or reference frame in 3D space

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import sequence
from ..builtin_interfaces.Time import Time
from ..geometry_msgs.Pose import Pose
from .. import default_field

@dataclass
class PosesInFrame(IdlStruct, typename='foxglove_msgs/PosesInFrame'):
    # Timestamp of pose
    timestamp: Time = Time()

    # Frame of reference for pose position and orientation
    frame_id: str = ''

    # Poses in 3D space
    poses: sequence[Pose] = default_field([])
