# foxglove_msgs/msg/RawImage
# A raw image

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import uint32, uint8, sequence
from ..builtin_interfaces.Time import Time
from .. import default_field

@dataclass
class RawImage(IdlStruct, typename='foxglove_msgs/RawImage'):
    # Timestamp of image
    timestamp: Time = Time()

    # Frame of reference for the image. The origin of the frame is the optical center of the camera. +x points to the right in the image, +y points down, and +z points into the plane of the image.
    frame_id: str = ''

    # Image width
    width: uint32 = 0

    # Image height
    height: uint32 = 0

    # Encoding of the raw image data
    # 
    # Supported values: `8UC1`, `8UC3`, `16UC1`, `32FC1`, `bayer_bggr8`, `bayer_gbrg8`, `bayer_grbg8`, `bayer_rggb8`, `bgr8`, `bgra8`, `mono8`, `mono16`, `rgb8`, `rgba8`, `uyvy` or `yuv422`, `yuyv` or `yuv422_yuy2`
    encoding: str = ''

    # Byte length of a single row
    step: uint32 = 0

    # Raw image data
    data: sequence[uint8] = default_field([])
