# foxglove_msgs/msg/SceneEntityDeletion
# Command to remove previously published entities

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import uint8
from ..builtin_interfaces.Time import Time
from enum import Enum

class DeletionAction(Enum):
    # Delete the existing entity on the same topic that has the provided `id`
    MATCHING_ID=0
    # Delete all existing entities on the same topic
    ALL=1

@dataclass
class SceneEntityDeletion(IdlStruct, typename='foxglove_msgs/SceneEntityDeletion'):
    # Timestamp of the deletion. Only matching entities earlier than this timestamp will be deleted.
    timestamp: Time = Time()

    # Type of deletion action to perform
    type: uint8 = 0

    # Identifier which must match if `type` is `MATCHING_ID`.
    id: str = ''
