# foxglove_msgs/msg/TextAnnotation
# A text label on a 2D image

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import float64
from ..builtin_interfaces.Time import Time
from .Point2 import Point2
from .Color import Color

@dataclass
class TextAnnotation(IdlStruct, typename='foxglove_msgs/TextAnnotation'):
    # Timestamp of annotation
    timestamp: Time = Time()

    # Bottom-left origin of the text label in 2D image coordinates (pixels)
    position: Point2 = Point2()

    # Text to display
    text: str = ''

    # Font size in pixels
    font_size: float64 = 0

    # Text color
    text_color: Color = Color()

    # Background fill color
    background_color: Color = Color()
