# foxglove_msgs/msg/TriangleListMarker
# A marker representing a set of triangles or a surface tiled by triangles

# Generated by https://github.com/foxglove/schemas

from dataclasses import dataclass
from pycdr2 import IdlStruct
from pycdr2.types import uint32, sequence
from ..geometry_msgs.Pose import Pose
from ..geometry_msgs.Point import Point
from .Color import Color
from .. import default_field

@dataclass
class TriangleListMarker(IdlStruct, typename='foxglove_msgs/TriangleListMarker'):
    # Origin of triangles relative to reference frame
    pose: Pose = Pose()

    # Vertices to use for triangles, interpreted as a list of triples (0-1-2, 3-4-5, ...)
    points: sequence[Point] = default_field([])

    # Solid color to use for the whole shape. One of `color` or `colors` must be provided.
    color: Color = Color()

    # Per-vertex colors (if specified, must have the same length as `points`). One of `color` or `colors` must be provided.
    colors: sequence[Color] = default_field([])

    # Indices into the `points` and `colors` attribute arrays, which can be used to avoid duplicating attribute data.
    # 
    # If omitted or empty, indexing will not be used. This default behavior is equivalent to specifying [0, 1, ..., N-1] for the indices (where N is the number of `points` provided).
    indices: sequence[uint32] = default_field([])
